CertStores (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode.cache.ssl

## Class CertStores

- java.lang.Object
- - org.apache.geode.cache.ssl.CertStores

-     public class CertStores
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertStores(java.lang.String alias, java.lang.String storePrefix)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `alias()`
    `java.security.cert.X509Certificate` | `certificate()`
    `static CertStores` | `clientStore()`
    `static CertStores` | `locatorStore()`
    `java.util.Properties` | `propertiesWith(java.lang.String components)`
    `java.util.Properties` | `propertiesWith(java.lang.String components, boolean requireAuth, boolean endPointIdentification)`
    `java.util.Properties` | `propertiesWith(java.lang.String components, java.lang.String protocols, java.lang.String ciphers, boolean requireAuth, boolean endPointIdentification)`
    `static CertStores` | `serverStore()`
    `CertStores` | `trust(java.lang.String alias, java.security.cert.X509Certificate certificate)`
    `CertStores` | `trustSelf()`
    `CertStores` | `withCertificate(TestSSLUtils.CertificateBuilder certificateBuilder)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CertStores

          public CertStores(java.lang.String alias,
                            java.lang.String storePrefix)

  - ### Method Detail

    - #### locatorStore

          public static CertStores locatorStore()

    - #### serverStore

          public static CertStores serverStore()

    - #### clientStore

          public static CertStores clientStore()

    - #### alias

          public java.lang.String alias()

    - #### certificate

          public java.security.cert.X509Certificate certificate()

    - #### withCertificate

          public CertStores withCertificate(TestSSLUtils.CertificateBuilder certificateBuilder)
                                     throws java.security.GeneralSecurityException,
                                            java.io.IOException

      Throws:
        `java.security.GeneralSecurityException`
        `java.io.IOException`

    - #### trustSelf

          public CertStores trustSelf()

    - #### trust

          public CertStores trust(java.lang.String alias,
                                  java.security.cert.X509Certificate certificate)

    - #### propertiesWith

          public java.util.Properties propertiesWith(java.lang.String components)
                                              throws java.security.GeneralSecurityException,
                                                     java.io.IOException

      Throws:
        `java.security.GeneralSecurityException`
        `java.io.IOException`

    - #### propertiesWith

          public java.util.Properties propertiesWith(java.lang.String components,
                                                     boolean requireAuth,
                                                     boolean endPointIdentification)
                                              throws java.security.GeneralSecurityException,
                                                     java.io.IOException

      Throws:
        `java.security.GeneralSecurityException`
        `java.io.IOException`

    - #### propertiesWith

          public java.util.Properties propertiesWith(java.lang.String components,
                                                     java.lang.String protocols,
                                                     java.lang.String ciphers,
                                                     boolean requireAuth,
                                                     boolean endPointIdentification)
                                              throws java.security.GeneralSecurityException,
                                                     java.io.IOException

      Throws:
        `java.security.GeneralSecurityException`
        `java.io.IOException`